## delta 2006.08.03

=== Makefile ===
# see License.txt for copyright and terms of use

REPOSITORY := http://delta.tigris.org/svn/delta/trunk
VERSION := 2006.08.03
DIR := delta-$(VERSION)

.SUFFIXES:
.PHONY: all check clean dist distclean

all:
	$(MAKE) -f Build.mk all

check:
	$(MAKE) -f Test.mk check

clean:
	$(MAKE) -f Build.mk clean
	$(MAKE) -f Test.mk clean

dist:
	svn export $(REPOSITORY) $(DIR)
	$(MAKE) -C $(DIR) -f Build.mk distbuild
	tar cvzf $(DIR).tar.gz $(DIR)
	chmod 444 $(DIR).tar.gz

distclean: clean
	rm -rf $(DIR)
	rm -f *.tar.gz
	$(MAKE) -f Build.mk distclean

=== debian/changelog ===
delta (2006.08.03-8) unstable; urgency=medium

  * QA upload.
  * Fixed a mistake in last changelog, to avoid doubts about the right
    procedure. Consequently, the word "Closes" was changed to "See" in "Set
    Debian QA Group" line. Thanks to Mattia Rizzolo <mattia@debian.org>, who
    pointed the error. For more details, see #770371.
  * debian/source/options: no longer needed. Removed.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 13 Nov 2017 09:15:22 -0200

delta (2006.08.03-7) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (See: #770371)
  * Migrations:
      - debian/rules to simplified format.
      - DH level to 10.
  * debian/clean: added to remove some files created
    when building.
  * debian/control:
      - Bumped Standards-Version to 4.1.1.
      - Removed no longer needed XS-Testsuite field.
      - Removed unnecessary build dependency dpkg-dev.
  * debian/copyright: updated.
  * debian/delta.docs: renamed to docs.
  * debian/doc-base: added to index .html files.
  * debian/install: created to install some files.
  * debian/watch:
      - Bumped to version 4.
      - Improved.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 08 Nov 2017 16:43:56 -0200

delta (2006.08.03-6) unstable; urgency=low

  * Don't use dh_testdir; instead use makefile rules to ensure that
    debian/rules can be only run in the correct directory.
  * Bump standards version to 3.9.5 (no changes needed).
  * Fix typos in the manual page.
  * Update years in the copyright file.
  * Add "XS-Testsuite: autopkgtest".
  * DEP-8 tests: replace "make" with "build-essential" in Depends.
  * Force gzip for .debian.tar compression.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 25 Jan 2014 23:50:33 +0100

delta (2006.08.03-5) unstable; urgency=low

  * Upload to unstable.
  * Bump standards version to 3.9.4 (no changes needed).

 -- Jakub Wilk <jwilk@debian.org>  Sun, 05 May 2013 13:33:48 +0200

delta (2006.08.03-4) experimental; urgency=low

  * New maintainer (closes: #674869).
  * Set priority back to optional.
  * Remove Vcs-* fields.
  * Switch to source format 3.0 (quilt).
    + Add debian/source/format.
    + Remove explicit patching from debian/rules.
    + Remove build-dependency on quilt.
  * Neaten debian/rules:
    + Add build-arch target.
    + Merge install target into binary(-arch).
    + Make binary-indep target a no-op.
    + Run 'make check' only if DEB_BUILD_OPTIONS=nocheck is not set.
    + Avoid using $(CURDIR) where a relative directory would be sufficient.
    + Remove explicit rm build-stamp; let dh_clean delete the file instead.
    + Remove redundant check if Makefile exists (it always does).
    + Don't run dh_testroot in the clean target. There's a good chance that
      root privileges are not needed (e.g. because binary target was run under
      fakeroot), and even if they are actually needed, the target will fail
      quickly.
  * Pass CFLAGS, CPPFLAGS and LDFLAGS acquired from dpkg-buildflags to the
    build system.
    + Patch upstream makefile to allow overriding build flags.
      (allow-overriding-build-flags.diff)
    + Update debian/rules.
    + Build depend on dpkg-dev (>= 1.15.7).
  * Rebuild topformflat.c from source.
    + Build-depend on flex.
    + Remove the file in the build* targets.
    + Add the file to extend-diff-ignore.
  * Rename patch '00_rename_delta.diff' to 'rename-delta.diff'.
  * Add patch to allow overriding paths of binaries for the test suite.
    (allow-overriding-paths-for-tests.diff)
  * Bump standards version to 3.9.3 (no changes needed).
  * Add DEP-8 tests.
  * Update the copyright file.
  * Add manual pages (closes: #660376).
  * Make the first letter of the package synopsis lowercase.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 09 Sep 2012 21:46:19 +0200

delta (2006.08.03-3) unstable; urgency=low

  * Rename delta to singledelta. Closes: #529044.

 -- Bradley Smith <bradsmith@debian.org>  Wed, 27 May 2009 17:33:57 +0100

delta (2006.08.03-2) unstable; urgency=low

  * Add Conflicts with swap-cwm. Closes: #529044.
  * Change priority to extra.

 -- Bradley Smith <bradsmith@debian.org>  Sun, 17 May 2009 13:59:01 +0100

delta (2006.08.03-1) unstable; urgency=low

  * Initial release. Closes: #525046.

 -- Bradley Smith <bradsmith@debian.org>  Tue, 21 Apr 2009 19:46:49 +0100

=== debian/control ===
Source: delta
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.1.1
Build-Depends: debhelper (>= 10), flex
Homepage: http://delta.tigris.org/

Package: delta
Architecture: any
Depends: ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: heuristic minimizer of interesting files
 Delta assists you in minimizing "interesting" files subject to a test of
 their "interestingness". A common such situation is when attempting to
 isolate a small failure-inducing substring of a large input that causes
 your program to exhibit a bug.

=== debian/rules ===
#!/usr/bin/make -f

DELTAPATH=debian/delta/usr/bin

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CFLAGS="$(CFLAGS) $(CPPFLAGS) $(LDFLAGS)"
	# Build manpages:
	for i in $$(ls debian/manpages/*.pod | cut -d'.' -f1); do \
	    pod2man -c '' -r 'Delta 2006.08.03' $$i.pod > $$i.1; \
	done

override_dh_auto_test:
	cp delta singledelta
	dh_auto_test

=== debian/tests/control ===
Tests: tests
Depends: delta, build-essential

=== debian/watch ===
version=4
http://delta.tigris.org/ files/documents/\d+/\d+/delta-([\d.]+)\.tar\.(?:bz2|gz|xz)

## delta utils-0.0.3

=== requirements.txt ===
numpy
pygame
pytest
tqdm
torch

## delta utils-0.0.17

=== Makefile ===
pc:
	pre-commit run --all

test:
	pytest

## delta utils-0.1.0

=== Makefile ===
pc:
	pre-commit run --all

test:
	pytest

build:
	python3 -m build

deploy: build
	twine upload --skip-existing dist/*
